CS::RenderManager::PostEffectsSupport Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::RenderManager::PostEffectsSupport Class Reference

Add post effects support to a render manager. More...

`#include <csplugincommon/rendermanager/posteffectssupport.h>`

Inheritance diagram for CS::RenderManager::PostEffectsSupport:

List of all members.

## Public Member Functions
void | Initialize (iObjectRegistry *objectReg, const char *configKey)
| Initialize post processing effects support.
iRenderManagerPostEffects implementation
void | ClearLayers ()
| Clear all active post effect layers.
bool | AddLayersFromDocument (iDocumentNode *node)
| Add the post effect layers defined in the given document node to the list of active layers.
bool | AddLayersFromFile (const char *filename)
| Add the post effect layers defined in the given file to the list of active layers.

## Detailed Description

Add post effects support to a render manager.

Usage:

- Must be a base class of the render manager implementation.
- Render manager implementation should add `iRenderManagerPostEffects<iDebugHelper>` to their SCF implementation base class.
- Access to the post processing effects manager is available via the member `postEffects'.

Definition at line 44 of file posteffectssupport.h.

## Member Function Documentation

bool CS::RenderManager::PostEffectsSupport::AddLayersFromDocument | ( | iDocumentNode * | node | ) | `[virtual]`

Add the post effect layers defined in the given document node to the list of active layers.

Implements iRenderManagerPostEffects.

bool CS::RenderManager::PostEffectsSupport::AddLayersFromFile | ( | const char * | filename | ) | `[virtual]`

Add the post effect layers defined in the given file to the list of active layers.

Implements iRenderManagerPostEffects.

void CS::RenderManager::PostEffectsSupport::ClearLayers | ( |  | ) | `[inline, virtual]`

Clear all active post effect layers.

Implements iRenderManagerPostEffects.

Definition at line 64 of file posteffectssupport.h.

void CS::RenderManager::PostEffectsSupport::Initialize | ( | iObjectRegistry * | objectReg,
|  | const char * | configKey
| ) |  |

Initialize post processing effects support.

Parameters:

  objectReg | Object registry.
  configKey | Configuration key for initial effects to load. Will read a file name for a post effects layers file from the config key `<configKey>.Effects`.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/posteffectssupport.h